Method: projects.locations.collections.engines.analytics.exportMetrics

导出指标。

HTTP 请求

:


POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics

网址使用 gRPC 转码语法。

路径参数

参数
analytics

string

必需。创建了指标的引擎下的分析数据的资源名称。格式为 projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/analytics。

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "outputConfig": {
    object (OutputConfig)
  },
  "startDate": {
    object (Date)
  }
}
字段
outputConfig

object (OutputConfig)

必需。数据的输出位置。

startDate

object (Date)

可选。导出中包含的最早日期(含此日期),以世界协调时间 (UTC) 时区表示。

如果未设置,则默认值为当前 UTC 日期之前的 30 天。该值必须是有效的日历日期,不得是未来的日期,也不得超过 180 天(源数据保留期限);否则,请求会失败并显示 INVALID_ARGUMENT。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

如需了解详情,请参阅 Authentication Overview。

OutputConfig

输出配置设置。

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigqueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
字段
用于存放输出数据的目标位置的配置。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
bigqueryDestination

object (BigQueryDestination)

要向其写入输出的 BigQuery 位置。

互斥字段的结束。

BigQueryDestination

BigQuery 输出目标位置配置。

JSON 表示法
{
  "datasetId": string,
  "tableId": string
}
字段
datasetId

string

必需。BigQuery 数据集的 ID。

tableId

string

必需。导出的 BigQuery 表的 tableId。